@echo off
setlocal enabledelayedexpansion

REM Assurez-vous qu'au moins 3 arguments ont été fournis
if "%~2"=="" (
    echo Usage: %0 directory000 output_geopackage scale
    exit /b 1
)

REM Récupérer les arguments de la ligne de commande
set "directory=%~1"
set "output_geopackage=%~2"
set "scale=%~3"

REM Itérez sur tous les fichiers .000 dans le répertoire
for /r "%directory%" %%i in (*.000) do (
    echo Traitement du fichier: %%~ni
	set "file=%%~ni"
    ogr2ogr -f GPKG -skipfailures -append -update -where "OGR_GEOMETRY='LINESTRING' or OGR_GEOMETRY='MULTILINESTRING'" -oo RETURN_LINKAGES=ON -oo LNAM_REFS=ON -mapFieldType StringList=String,IntegerList=String "%output_geopackage%" "%%i"
    ogr2ogr -f GPKG -skipfailures -append -update "%output_geopackage%" "%%i" "DSID"
	ogr2ogr -f GPKG -skipfailures -append -update "%output_geopackage%" "%%i" "C_AGGR"
	python c:/testgpkg/update_geopackage_dsid.py "%output_geopackage%" "!file!" 
)

echo Traitement terminé.
pause
